import { ServiceManager } from '@jupyterlab/services';
import type { IDatalayerConfig } from './IState';
import { IJupyterConfig } from '../jupyter/JupyterConfig';
import useCellStore from '../components/cell/CellState';
import useConsoleStore from '../components/console/ConsoleState';
import useNotebookStore from '../components/notebook/NotebookState';
import useOutputStore from '../components/output/OutputState';
import useTerminalStore from '../components/terminal/TerminalState';
import { JupyterContextPropsType } from '../jupyter/JupyterContext';
import Kernel from '../jupyter/kernel/Kernel';
export type JupyterState = {
    cellStore: typeof useCellStore;
    consoleStore: typeof useConsoleStore;
    datalayerConfig?: IDatalayerConfig;
    jupyterConfig?: IJupyterConfig;
    kernel?: Kernel;
    kernelIsLoading: boolean;
    notebookStore: typeof useNotebookStore;
    outputStore: typeof useOutputStore;
    serviceManager?: ServiceManager;
    setDatalayerConfig: (configuration?: IDatalayerConfig) => void;
    setVersion: (version: string) => void;
    terminalStore: typeof useTerminalStore;
    version: string;
};
export declare const jupyterStore: import("zustand").StoreApi<JupyterState>;
export declare function useJupyterStore(): JupyterState;
export declare function useJupyterStore<T>(selector: (state: JupyterState) => T): T;
export declare function useJupyterStoreFromContext(props: JupyterContextPropsType): JupyterState;
export default useJupyterStore;
